Summary:	Freewheeling Live Looper
Name:		freewheeling
Version:	0.6.4
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://github.com/free-wheeling/freewheeling/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7a76624759929fe819d3a0d0dc8c0bb3
Patch0:		config.patch
URL:		https://github.com/free-wheeling/freewheeling/
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fluidsynth-devel
BuildRequires:	freetype-devel
BuildRequires:	gnutls-openssl-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	liblo-devel
BuildRequires:	libogg-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Freewheeling provides a highly configurable, intuitive, and fluid user
interface for instrumentalists to capture audio loops in real-time.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{rpmcflags} -I/usr/include/SDL"
export CXXFLAGS="%{rpmcxxflags} -I/usr/include/SDL"
%configure \
	--enable-fluidsynth

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog THANKS TUNING
%doc data/config-help.txt examples
%attr(755,root,root) %{_bindir}/fweelin
%{_datadir}/fweelin
%changelog
* Thu Jul 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freewheeling.git;a=log;h=master

* Thu Jul 13 2017 Jan Rękorajski <baggins@pld-linux.org> 193bd77
- force sdl include dir in cflags

* Thu Jul 13 2017 Jan Rękorajski <baggins@pld-linux.org> 26e7b3a
- up to 0.6.4

* Fri Mar 17 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 3676ae6
- fix 'double free' crash on loop delete

* Fri Mar 10 2017 Jacek Konieczny <jajcus@jajcus.net> a129914
- More useful default config

* Fri Mar 10 2017 Jacek Konieczny <jajcus@jajcus.net> 37a8f83
- new package

